EnvironmentAwarePropertySource (Grails 5.2.3)

Package: org.grails.config

## [Java] Class EnvironmentAwarePropertySource

- org.grails.config.EnvironmentAwarePropertySource

-     public class EnvironmentAwarePropertySource
      extends org.springframework.core.env.EnumerablePropertySource

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected java.util.List<java.lang.String>` | `propertyNames` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public java.lang.Object` | `getProperty(java.lang.String name)`
    `` | `public java.lang.String[]` | `getPropertyNames()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.springframework.core.env.EnumerablePropertySource` | `org.springframework.core.env.EnumerablePropertySource#getPropertyNames(), org.springframework.core.env.EnumerablePropertySource#containsProperty(java.lang.String), org.springframework.core.env.EnumerablePropertySource#named(java.lang.String), org.springframework.core.env.EnumerablePropertySource#getSource(), org.springframework.core.env.EnumerablePropertySource#getProperty(java.lang.String), org.springframework.core.env.EnumerablePropertySource#equals(java.lang.Object), org.springframework.core.env.EnumerablePropertySource#toString(), org.springframework.core.env.EnumerablePropertySource#hashCode(), org.springframework.core.env.EnumerablePropertySource#getName(), org.springframework.core.env.EnumerablePropertySource#wait(long, int), org.springframework.core.env.EnumerablePropertySource#wait(long), org.springframework.core.env.EnumerablePropertySource#wait(), org.springframework.core.env.EnumerablePropertySource#getClass(), org.springframework.core.env.EnumerablePropertySource#notify(), org.springframework.core.env.EnumerablePropertySource#notifyAll()`

- - ### Field Detail

    - #### protected java.util.List<java.lang.String> propertyNames

  - ### Method Detail

    - #### @java.lang.Override public java.lang.Object getProperty(java.lang.String name)

    - #### @java.lang.Override public java.lang.String[] getPropertyNames()